/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Country
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Country {
  @SerializedName("id")
  private String id = null;

  @SerializedName("label")
  private String label = null;

  @SerializedName("passport_and_visa")
  private PassportAndVisa passportAndVisa = null;

  @SerializedName("airports")
  private Airports airports = null;

  @SerializedName("national_embassies")
  private NationalEmbassies nationalEmbassies = null;

  @SerializedName("foreign_embassies")
  private ForeignEmbassies foreignEmbassies = null;

  @SerializedName("public_holidays")
  private PublicHolidays publicHolidays = null;

  @SerializedName("daily_life")
  private DailyLife dailyLife = null;

  @SerializedName("currency_converter")
  private CurrencyConverter currencyConverter = null;

  @SerializedName("emergency_numbers")
  private EmergencyNumbers emergencyNumbers = null;

  public Country id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Country id. Ex: \&quot;FR\&quot;
   * @return id
  **/
  @ApiModelProperty(value = "Country id. Ex: \"FR\"")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public Country label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Country label. Ex: \&quot;France\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "Country label. Ex: \"France\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public Country passportAndVisa(PassportAndVisa passportAndVisa) {
    this.passportAndVisa = passportAndVisa;
    return this;
  }

   /**
   * Get passportAndVisa
   * @return passportAndVisa
  **/
  @ApiModelProperty(value = "")
  public PassportAndVisa getPassportAndVisa() {
    return passportAndVisa;
  }

  public void setPassportAndVisa(PassportAndVisa passportAndVisa) {
    this.passportAndVisa = passportAndVisa;
  }

  public Country airports(Airports airports) {
    this.airports = airports;
    return this;
  }

   /**
   * Get airports
   * @return airports
  **/
  @ApiModelProperty(value = "")
  public Airports getAirports() {
    return airports;
  }

  public void setAirports(Airports airports) {
    this.airports = airports;
  }

  public Country nationalEmbassies(NationalEmbassies nationalEmbassies) {
    this.nationalEmbassies = nationalEmbassies;
    return this;
  }

   /**
   * Get nationalEmbassies
   * @return nationalEmbassies
  **/
  @ApiModelProperty(value = "")
  public NationalEmbassies getNationalEmbassies() {
    return nationalEmbassies;
  }

  public void setNationalEmbassies(NationalEmbassies nationalEmbassies) {
    this.nationalEmbassies = nationalEmbassies;
  }

  public Country foreignEmbassies(ForeignEmbassies foreignEmbassies) {
    this.foreignEmbassies = foreignEmbassies;
    return this;
  }

   /**
   * Get foreignEmbassies
   * @return foreignEmbassies
  **/
  @ApiModelProperty(value = "")
  public ForeignEmbassies getForeignEmbassies() {
    return foreignEmbassies;
  }

  public void setForeignEmbassies(ForeignEmbassies foreignEmbassies) {
    this.foreignEmbassies = foreignEmbassies;
  }

  public Country publicHolidays(PublicHolidays publicHolidays) {
    this.publicHolidays = publicHolidays;
    return this;
  }

   /**
   * Get publicHolidays
   * @return publicHolidays
  **/
  @ApiModelProperty(value = "")
  public PublicHolidays getPublicHolidays() {
    return publicHolidays;
  }

  public void setPublicHolidays(PublicHolidays publicHolidays) {
    this.publicHolidays = publicHolidays;
  }

  public Country dailyLife(DailyLife dailyLife) {
    this.dailyLife = dailyLife;
    return this;
  }

   /**
   * Get dailyLife
   * @return dailyLife
  **/
  @ApiModelProperty(value = "")
  public DailyLife getDailyLife() {
    return dailyLife;
  }

  public void setDailyLife(DailyLife dailyLife) {
    this.dailyLife = dailyLife;
  }

  public Country currencyConverter(CurrencyConverter currencyConverter) {
    this.currencyConverter = currencyConverter;
    return this;
  }

   /**
   * Get currencyConverter
   * @return currencyConverter
  **/
  @ApiModelProperty(value = "")
  public CurrencyConverter getCurrencyConverter() {
    return currencyConverter;
  }

  public void setCurrencyConverter(CurrencyConverter currencyConverter) {
    this.currencyConverter = currencyConverter;
  }

  public Country emergencyNumbers(EmergencyNumbers emergencyNumbers) {
    this.emergencyNumbers = emergencyNumbers;
    return this;
  }

   /**
   * Get emergencyNumbers
   * @return emergencyNumbers
  **/
  @ApiModelProperty(value = "")
  public EmergencyNumbers getEmergencyNumbers() {
    return emergencyNumbers;
  }

  public void setEmergencyNumbers(EmergencyNumbers emergencyNumbers) {
    this.emergencyNumbers = emergencyNumbers;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Country country = (Country) o;
    return Objects.equals(this.id, country.id) &&
        Objects.equals(this.label, country.label) &&
        Objects.equals(this.passportAndVisa, country.passportAndVisa) &&
        Objects.equals(this.airports, country.airports) &&
        Objects.equals(this.nationalEmbassies, country.nationalEmbassies) &&
        Objects.equals(this.foreignEmbassies, country.foreignEmbassies) &&
        Objects.equals(this.publicHolidays, country.publicHolidays) &&
        Objects.equals(this.dailyLife, country.dailyLife) &&
        Objects.equals(this.currencyConverter, country.currencyConverter) &&
        Objects.equals(this.emergencyNumbers, country.emergencyNumbers);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, label, passportAndVisa, airports, nationalEmbassies, foreignEmbassies, publicHolidays, dailyLife, currencyConverter, emergencyNumbers);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Country {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    passportAndVisa: ").append(toIndentedString(passportAndVisa)).append("\n");
    sb.append("    airports: ").append(toIndentedString(airports)).append("\n");
    sb.append("    nationalEmbassies: ").append(toIndentedString(nationalEmbassies)).append("\n");
    sb.append("    foreignEmbassies: ").append(toIndentedString(foreignEmbassies)).append("\n");
    sb.append("    publicHolidays: ").append(toIndentedString(publicHolidays)).append("\n");
    sb.append("    dailyLife: ").append(toIndentedString(dailyLife)).append("\n");
    sb.append("    currencyConverter: ").append(toIndentedString(currencyConverter)).append("\n");
    sb.append("    emergencyNumbers: ").append(toIndentedString(emergencyNumbers)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

